Page MenuHomePhabricator

`.previewnote p` should be replaced by semantic message classes as `.warningbox` and `.messagebox`
Closed, ResolvedPublic

Description

Current treatment of .previewnote (and .previewnote p) is not aligned with Design Style Guide message treatment.

.previewnote p main usage is a warning to non-JS users when previewing an edited article:

Vector, Timeless, etc. through shared.css

Usage of .previewnote class across repos:
https://codesearch.wmflabs.org/search/?q=.previewnote&i=nope&files=&repos=

Apart from main usage there are two other occurrences in MW core:

  • includes/actions/McrUndoAction.php – unclear what the usage is
  • includes/specials/SpecialExpandTemplates.php
Expected result

Show a warningbox style visual treatment

Proposed:


Dev notes
  • Verify other usages of 'previewnote' in core and extensions on possible breakage.
    • McrUndoAction.php uses a copy of EditPage.php implementation and should use a .messagebox class instead of .previewnote.
    • SpecialExpandTemplates.php should have ..errorbox assigned instead. Proposed:
Extensions affected
Skins affected

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRemove obsolete `.previewnote p` selector
mediawiki/extensions/TwoColConflict : masterStandardise preview warning box
mediawiki/core : masterStandardise preview warning box when using ?action=edit
mediawiki/skins/MinervaNeue : masterRemove obsolete `.previewnote p` selector
mediawiki/extensions/TemplateSandbox : masterStandardise preview error and warning messages
mediawiki/core : masterSpecialExpandTemplates: Add semantic 'errorbox' class to error

Event Timeline

Volker_E created this task.Sep 9 2019, 11:03 PM

Change 535300 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Standardise preview warning box when using ?action=edit

https://gerrit.wikimedia.org/r/535300

Change 535313 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Remove obsolete .previewnote p selector

https://gerrit.wikimedia.org/r/535313

Change 535315 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Remove obsolete .previewnote p selector

https://gerrit.wikimedia.org/r/535315

Volker_E renamed this task from previewnote should be a warningbox message to `.previewnote p` should be a `.warningbox` message.Sep 10 2019, 12:09 AM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Sep 10 2019, 12:13 AM
Volker_E added a project: MediaWiki-General.
Volker_E updated the task description. (Show Details)Sep 10 2019, 11:11 PM

Change 535735 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] SpecialExpandTemplates: Add semantic 'errorbox' class to error

https://gerrit.wikimedia.org/r/535735

Volker_E renamed this task from `.previewnote p` should be a `.warningbox` message to `.previewnote p` should be replaced by semantic message classes as `.warningbox` and `.messagebox`.Sep 10 2019, 11:30 PM

Change 535735 merged by jenkins-bot:
[mediawiki/core@master] SpecialExpandTemplates: Add semantic 'errorbox' class to error

https://gerrit.wikimedia.org/r/535735

Volker_E triaged this task as Normal priority.Sep 13 2019, 12:01 AM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)

Change 536383 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/TwoColConflict@master] Standardise preview warning box

https://gerrit.wikimedia.org/r/536383

Volker_E updated the task description. (Show Details)Sep 13 2019, 7:31 PM

Change 536675 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/TemplateSandbox@master] Standardise preview error and warning messages

https://gerrit.wikimedia.org/r/536675

Volker_E updated the task description. (Show Details)Sep 13 2019, 8:13 PM
Volker_E updated the task description. (Show Details)

Change 535300 merged by jenkins-bot:
[mediawiki/core@master] Standardise preview warning box when using ?action=edit

https://gerrit.wikimedia.org/r/535300

Change 536675 merged by jenkins-bot:
[mediawiki/extensions/TemplateSandbox@master] Standardise preview error and warning messages

https://gerrit.wikimedia.org/r/536675

Change 535315 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove obsolete .previewnote p selector

https://gerrit.wikimedia.org/r/535315

Change 536383 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Standardise preview warning box

https://gerrit.wikimedia.org/r/536383

Change 535313 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove obsolete .previewnote p selector

https://gerrit.wikimedia.org/r/535313

Volker_E closed this task as Resolved.Sep 17 2019, 9:29 PM
Volker_E claimed this task.
Volker_E updated the task description. (Show Details)